Skip to main content
POST
Refund a checkout
Refund all or part of a paid checkout. See Refunds for rules, statuses and error codes.

Authorizations

X-API-Key
string
header
required

API key for authentication.

Path Parameters

checkout_id
string
required

Body

application/json
reason
string
required
Maximum string length: 255
idempotency_key
string
required
Maximum string length: 128
amount
number

Omit for the full refundable amount.

destination
object
approver
string
lines
object[]
Maximum array length: 100
partner_reference
string
Maximum string length: 128

Response

Refund created (or replayed for a repeated idempotency_key)

status
boolean
data
object
error
any[]
message
string